Loading...
Searching...
No Matches
PThreads.hh File Reference
`#include <log4shib/Portability.hh>`
`#include <stdio.h>`
`#include <pthread.h>`
`#include <string>`
`#include <assert.h>`
Include dependency graph for PThreads.hh:

Go to the source code of this file.

## Classes

class | log4shib::threading::Mutex
class | log4shib::threading::ScopedLock
| definition of ScopedLock; More...
class | log4shib::threading::ThreadLocalDataHolder< T >
| This class holds Thread local data of type T, i.e. More...

## Namespaces

namespace | log4shib
| The top level namespace for all 'Log for C++' types and classes.
namespace | log4shib::threading

## Functions

static std::string | log4shib::threading::getThreadId ()
| Return an identifier for the current thread.